Subject: Re: [PATCH 1/2] po/de.po: add German translation

From: Michael J Gruber <[email-masked]>
Date: Thu, 16 Sep 2010 13:51:26 +0200

Jan Krüger venit, vidit, dixit 16.09.2010 12:57:
> Christian Stimming <[email-masked]> wrote:
> 
>> As you might guess, as the (initial) translator of git-gui I've been  
>> through this discussion before [1] and as you have noticed, I have  
>> decided to take a translation approach different from what you have  
>> recently discussed here. I deliberately tried to translate as much
>> of the terms into German as possible. I do not agree about the
>> importance of statements on this mailing list like "This translation
>> translates too much terms - I cannot find the commands I'm used to".
>> The point of a translation is to enable the usage of a program to
>> people who do *not* know the original language.
> 
> Please explain how translating all terms makes it easier for Germans to
> work with git. As far as I am concerned, all the terms you tried so
> hard to translate are technical terms, i.e. their full meaning cannot be
> readily understood without an explanation. That is the reason why we
> have a glossary for those terms even in the English original.
> 
> Translating these terms into German does not change anything about
> that. All terms still need to be explained.

Absolutely true, and absolutely irrelevant for the decision whether to
translate these, since they need to be explained in any case.

> 
> There is some slight potential gain in that perhaps *some* translated
> words will be more easily associated with their corresponding
> explanations due to the imagery they use,

The aim of a good translation is to reproduce the concept, not the word.
I assume we're talking about a (mostly) non-English speaking target
audience here, and for them associating meaning with terms in their
native language is certainly easier.

...
> There are quite a few examples in the git-gui translation that I
> consider extremely unwieldy, and in my initial translation of git
> itself I tried very hard to avoid translations like "Bereitstellung
> (zum Eintragen)", where I have absolutely no idea what that is supposed
> to mean. I don't want to turn this into a critique of git-gui's
> translation, though. 
[For the record, I don't like that translation either.]

>> I'd go for "Zweig". It's even on the wikipedia page and it perfectly  
>> represents the concept.
> 
> My main reason for not translating this one is that we have a command
> called "branch" and since people need to learn what it means anyway,
> and we're certainly not going to change the command names in different
> languages, translating the term in other uses just means that German
> users have to remember two different words for the same thing. Similar
> reasoning applies to some other terms.

I really have to oppose this reasoning. Are you seriously suggesting we
should not translate the following words as a matter of principle?

add
am (OK, I'm kidding here)
annotate
apply
archive
bisect
blame
branch
bundle
cat (...)
check
checkout
cherry(-pick)
clean
clone
commit
config
count
daemon
describe
diff
fast
fetch
filter
for
format
get
grep
gui
hash
help
index
init
log
lost
mailinfo
mailsplit
merge
mergetool
name
notes
pack
parse
patch
peek
prune
pull
push
read
rebase
receive
reflog
relink
remote
repack
replace
repo
request
reset
revert
rev
send
shell
shortlog
show
stage
stash
status
submodule
symbolic
tag
tar
unpack
update
upload
var
verify
web
write

We simply need a principle we can follow, which produces readable text,
and which helps those in need of a translation. Those with a reasonable
passive understanding of English don't need a translation at all. Some
suggestions to follow:

- Identify term categories which are already in use in the English
version, such as "combinatorial graphs".

- Within each category, look for established translations in that field;
in any case, keep the categorical associations for the translation.

- Translate concepts, not words. If there are several choices, favour
the one which is linguistically close to the English Git glossary.
There's a good chance this will happen quite often with German.

>>>  tag                   Tag
>>
>> Der heutige Tag oder der morgige Tag? What's the problem with  
>> "Markierung"? This is exactky the git concept which is meant.
> 
> I believe that the English "tag" is a much better metaphor than the
> German "Markierung". One use of "tag" refers to a small label that is
> attached to, for example, baggage. This is exactly the concept we have
> in git. "Markierung" doesn't come close at all to describing the same
> concept. Conflicts markers are "Markierungen"; tags are not.

That's exactly why I suggested "Marke", see my earlier reply also for
the other terms. It conveys the same multiple metaphorical associations.

You know, there's a reason why translating is a profession. You need to
be proficient in both languages, as well as creative. In fact, I don't
think the majority of people are proficient enough for that even in
their native language (as a translation target), but every native
speaker thinks he or she is, of course. (This is a general remark not
aimed at anyone specifically.)

Michael